---------------------
PatchSet 5337 
Date: 2007/08/15 04:12:04
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Misc compile errors from HEAd.

Members: 
	src/tests/testStore.h:1.1.6.3->1.1.6.4 
	test-suite/mem_hdr_test.cc:1.3->1.3.8.1 

Index: squid3/src/tests/testStore.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/tests/testStore.h,v
retrieving revision 1.1.6.3
retrieving revision 1.1.6.4
diff -u -r1.1.6.3 -r1.1.6.4
--- squid3/src/tests/testStore.h	30 May 2007 05:06:11 -0000	1.1.6.3
+++ squid3/src/tests/testStore.h	15 Aug 2007 04:12:04 -0000	1.1.6.4
@@ -65,7 +65,7 @@
 
     virtual void dereference(StoreEntry &){}	/* Unreference this object */
 
-    virtual void updateSize(size_t size, int sign) {}
+    virtual void updateSize(int64_t size, int sign) {}
 
     virtual StoreSearch *search(String const url, HttpRequest *);
 };
Index: squid3/test-suite/mem_hdr_test.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/test-suite/mem_hdr_test.cc,v
retrieving revision 1.3
retrieving revision 1.3.8.1
diff -u -r1.3 -r1.3.8.1
--- squid3/test-suite/mem_hdr_test.cc	23 Sep 2003 02:12:33 -0000	1.3
+++ squid3/test-suite/mem_hdr_test.cc	15 Aug 2007 04:12:06 -0000	1.3.8.1
@@ -1,6 +1,6 @@
 
 /*
- * $Id: mem_hdr_test.cc,v 1.3 2003/09/23 02:12:33 squidadm Exp $
+ * $Id: mem_hdr_test.cc,v 1.3.8.1 2007/08/15 04:12:06 amosjeffries Exp $
  *
  * DEBUG: section 19    Store Memory Primitives
  * AUTHOR: Robert Collins
@@ -59,9 +59,9 @@
     safe_free (sampleData);
     assert (aHeader.lowestOffset() == 10);
     assert (aHeader.endOffset() == 101);
-    assert (aHeader.hasContigousContentRange(Range<size_t>(10,11)));
-    assert (!aHeader.hasContigousContentRange(Range<size_t>(10,12)));
-    assert (!aHeader.hasContigousContentRange(Range<size_t>(10,101)));
+    assert (aHeader.hasContigousContentRange(Range<int64_t>(10,11)));
+    assert (!aHeader.hasContigousContentRange(Range<int64_t>(10,12)));
+    assert (!aHeader.hasContigousContentRange(Range<int64_t>(10,101)));
 }
 
 void
